io_buf Union Reference

`#include <file_io.h>`

## Data Fields

uint8_t | u8 [IO_BUFFER_SIZE]
uint32_t | u32 [IO_BUFFER_SIZE/sizeof(uint32_t)]
uint64_t | u64 [IO_BUFFER_SIZE/sizeof(uint64_t)]

## Detailed Description

is_sparse() accesses the buffer as uint64_t for maximum speed. The u32 and u64 members must only be access through this union to avoid strict aliasing violations. Taking a pointer of u8 should be fine as long as uint8_t maps to unsigned char which can alias anything.

The documentation for this union was generated from the following file:

- xz/file_io.h